'use strict'

import baseFor from './baseFor.js'
import keys    from '../objects/keys.js'

/**
 * The base implementation of `forOwn`.
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
const baseForOwn = ( object , iteratee ) => object && baseFor( object , iteratee , keys ) ;

export default baseForOwn